## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate wl-clipboard-rs

Name:           rust-wl-clipboard-rs
Version:        0.8.0
Release:        %autorelease
Summary:        Access to the Wayland clipboard for terminal and other window-less applications

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/wl-clipboard-rs
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Access to the Wayland clipboard for terminal and other window-less
applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dlopen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dlopen-devel %{_description}

This package contains library source intended for building other packages which
use the "dlopen" feature of the "%{crate}" crate.

%files       -n %{name}+dlopen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native_lib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native_lib-devel %{_description}

This package contains library source intended for building other packages which
use the "native_lib" feature of the "%{crate}" crate.

%files       -n %{name}+native_lib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * unit tests require a running wayland display server
%cargo_test -- --doc
%endif

%changelog
* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0 (rhbz#2241855)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-1
- Initial import (#2214344)
